# Command: Rotate

Take the input image and apply a number of 90 degree rotation steps to it. Does not support arbitrary rotations.

## Usage

```text
Usage: crunch rotate --amount <AMOUNT> <INPUT> <OUTPUT>

Arguments:
  <INPUT>   The path to the spritesheet file
  <OUTPUT>  The path to write the extruded spritesheet

Options:
  -a, --amount <AMOUNT>  How many 90 degree steps should this image be rotated by [possible values: one, two, three]
  -h, --help             Print help
  -V, --version          Print version
```

## Arguments

- `amount`: Must be specified. Defines how many steps should be applied to this image. Steps are clockwise, three 
clockwise steps are equivalent to one counter-clockwise steps. Values:
  - `one`: 90 degrees
  - `two`: 180 degrees
  - `three`: 270 degrees

## Example

![](/images/Rotation.png)